# useTarget

abstract fun useTarget(notation: Any)

Allows to override the details of the dependency (see getTarget) when it is resolved (see getRequested). This method can be used to change the dependency before it is resolved, e.g. change group, name or version (or all three of them). In many cases users are interested in changing the version. For such scenario you can use the useVersion method.

#### Since

1.5

#### Parameters

notation

the notation that gets parsed into an instance of ModuleVersionSelector. You can pass Strings like 'org.gradle:gradle-core:1.4', Maps like [group: 'org.gradle', name: 'gradle-core', version: '1.4'], or instances of ModuleVersionSelector.